Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003035 [JEDI VCL] 02 Installation crash always 2005-06-13 06:12 2005-08-08 01:38
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003035: Installation problem jvcl - no xml file found
Description I've problem to install jvcl.

Environment:
Delphi 5 Enterprise
Windows XP Pro SP1
JVCL300CompleteJCL195-Build1848.zip

Message:
Windows XP Service Pack 1 (5.1.2600)

MAKE Version 5.2 Copyright (c) 1987, 1998 Inprise Corp.
[Generating: Templates]
MAKE Version 5.2 Copyright (c) 1987, 1998 Inprise Corp.
Writing: ..\D5\dcc32.cfg
[Generating: Packages]
[Error] No package to generate, no xml file found

Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007444)
obones (administrator)
2005-06-13 07:22

Are you sure you unzipped the file with all the folders?
This is very strange to me.
(0007445)
anonymous (viewer)
2005-06-13 09:43

Hm,

i think so.

I've added the packages\xml path to Delphi and compile by hand
this works fine after changed the file "D5 Packages.bpg".

.
.
.
  JvEDID5R.bpl JvEDID5D.bpl \
  JvInspectorD5R.bpl \
  JvInspectorD5D.bpl
.
.
.
(0007449)
obones (administrator)
2005-06-13 14:31

You should have a directory structure like this:

design
common
install
packages
packages\d5
packages\xml
run

And a lot more others.
If you don't have this, then the installer will not work, nor will the packages. Please be sure to unzip everything correctly. This is a problem on your side.
(0007451)
anonymous (viewer)
2005-06-13 22:10

Hm,

here my structure, can you find an error?

 Datenträger in Laufwerk C: ist XP1
 Volumeseriennummer: 3EEF-1CF5

 Verzeichnis von C:\Kompos\Jedi\jvcl

14.06.2005 06:42 <DIR> .
14.06.2005 06:42 <DIR> ..
13.06.2005 13:32 <DIR> archive
13.06.2005 13:39 <DIR> bin
13.06.2005 16:20 <DIR> common
13.06.2005 13:32 <DIR> converter
13.06.2005 13:38 <DIR> dcu
13.06.2005 13:32 <DIR> design
13.06.2005 13:32 <DIR> devtools
13.06.2005 13:32 <DIR> Dict
13.06.2005 13:32 <DIR> examples
13.06.2005 13:32 <DIR> help
13.06.2005 13:32 <DIR> images
13.06.2005 13:32 <DIR> Includes
13.06.2005 13:32 <DIR> install
13.06.2005 13:32 <DIR> lib
13.06.2005 13:32 <DIR> locale
13.06.2005 16:19 <DIR> packages
13.06.2005 13:32 <DIR> qcommon
13.06.2005 13:32 <DIR> qdesign
13.06.2005 13:32 <DIR> qexamples
13.06.2005 13:32 <DIR> qrun
13.06.2005 15:56 <DIR> Resources
13.06.2005 16:35 <DIR> run
(0007454)
obones (administrator)
2005-06-14 05:13

That seems alright. Have you installed the JCL (no V) first ?
Do you run install.bat from the root directory ?
(0007459)
Uwe (reporter)
2005-06-14 06:15
edited on: 2005-06-14 22:15

Yes,
any idea what can i test?

I'm missing a log file.
The error information is very small.

(0007611)
obones (administrator)
2005-07-25 07:34

Do you have write access to the directories ?
(0007612)
Uwe (reporter)
2005-07-25 07:43

Yes
(0007631)
obones (administrator)
2005-07-27 01:42

That's quite puzzling. The error message comes when the generator has not found any .xml file in the packages\xml\ folder. But you tell me that you have files in there. Well, more precisely, you've shown the root directory structure that looked good, so I assumed you have the xml subfolder in the packages folder.
And then you should have a pgedit.xml file in the devtools\bin folder, which should indicate ..\..\packages as the value for the packages attribute of the first model (jvcl) node.
(0007632)
Uwe (reporter)
2005-07-27 03:06

Very quite puzzling...

Here the xml Directory:

 Volume in Laufwerk C: hat keine Bezeichnung.
 Volumeseriennummer: FC27-8830

 Verzeichnis von C:\Kompos\Jedi\jvcl\packages\xml

27.07.2005 11:30 <DIR> .
27.07.2005 11:30 <DIR> ..
27.07.2005 11:30 0 dir.txt
28.05.2005 11:12 736 Jv3rd-R.xml
28.05.2005 11:12 1.700 JvAppFrm-D.xml
03.12.2004 17:05 2.392 JvAppFrm-R.xml
09.05.2005 10:28 1.383 JvBands-D.xml
25.11.2004 13:45 947 JvBands-R.xml
09.05.2005 10:28 2.477 JvBDE-D.xml
09.05.2005 10:28 2.694 JvBDE-R.xml
28.05.2005 11:12 1.687 JvCmp-D.xml
20.02.2005 12:55 2.729 JvCmp-R.xml
09.05.2005 10:28 5.196 JvCore-D.xml
28.05.2005 11:12 7.625 JvCore-R.xml
25.11.2004 13:45 821 JvCrypt-D.xml
03.12.2004 17:05 1.407 JvCrypt-R.xml
09.05.2005 10:28 2.422 JvCtrls-D.xml
20.02.2005 09:24 5.331 JvCtrls-R.xml
09.05.2005 10:28 2.420 JvCustom-D.xml
28.05.2005 13:05 4.817 JvCustom-R.xml
09.05.2005 10:28 2.820 JvDB-D.xml
28.05.2005 11:12 6.996 JvDB-R.xml
09.05.2005 10:28 1.840 JvDlgs-D.xml
09.05.2005 10:28 4.329 JvDlgs-R.xml
09.05.2005 10:28 1.188 JvDocking-D.xml
09.05.2005 10:28 2.264 JvDocking-R.xml
28.05.2005 11:12 1.141 JvDotNetCtrls-D.xml
09.05.2005 10:28 1.648 JvDotNetCtrls-R.xml
25.11.2004 13:45 1.044 JvEDI-D.xml
25.11.2004 13:45 1.045 JvEDI-R.xml
28.05.2005 11:12 3.766 JvGlobus-D.xml
28.05.2005 11:12 9.156 JvGlobus-R.xml
09.05.2005 10:28 1.550 JvHMI-D.xml
09.05.2005 10:28 1.696 JvHMI-R.xml
25.11.2004 13:45 768 JvInspector-D.xml
28.05.2005 11:12 1.992 JvInspector-R.xml
09.05.2005 10:28 1.875 JvInterpreter-D.xml
28.05.2005 11:12 5.088 JvInterpreter-R.xml
09.05.2005 10:28 1.239 JvJans-D.xml
09.05.2005 10:28 4.739 JvJans-R.xml
09.05.2005 10:28 1.091 JvManagedThreads-D.xml
28.05.2005 11:12 1.455 JvManagedThreads-R.xml
09.05.2005 10:28 3.187 JvMM-D.xml
03.02.2005 04:18 4.865 JvMM-R.xml
09.05.2005 10:28 1.517 JvNet-D.xml
28.05.2005 11:12 2.599 JvNet-R.xml
09.05.2005 10:28 1.876 JvPageComps-D.xml
09.05.2005 10:28 1.678 JvPageComps-R.xml
25.11.2004 13:45 1.300 JvPlugin-D.xml
25.11.2004 13:45 953 JvPlugin-R.xml
09.05.2005 10:28 1.225 JvPrintPreview-D.xml
09.05.2005 10:28 1.383 JvPrintPreview-R.xml
09.05.2005 10:28 1.857 JvStdCtrls-D.xml
09.05.2005 10:28 7.621 JvStdCtrls-R.xml
09.05.2005 10:28 2.192 JvSystem-D.xml
09.05.2005 10:28 4.855 JvSystem-R.xml
09.05.2005 10:28 1.002 JvTimeFramework-D.xml
09.05.2005 10:28 2.067 JvTimeFramework-R.xml
09.05.2005 10:28 1.168 JvUIB-D.xml
28.05.2005 11:12 2.029 JvUIB-R.xml
09.05.2005 10:28 1.557 JvValidators-D.xml
09.05.2005 10:28 1.164 JvValidators-R.xml
09.05.2005 10:28 1.413 JvWizard-D.xml
09.05.2005 10:28 1.677 JvWizard-R.xml
28.05.2005 11:12 1.413 JvXPCtrls-D.xml
28.05.2005 11:12 1.919 JvXPCtrls-R.xml
08.11.2003 23:20 185 xml.txt
              65 Datei(en) 158.216 Bytes
               2 Verzeichnis(se), 26.498.076.160 Bytes frei

... and the file devtools\bin\pgedit.xml:

<?xml version="1.0" encoding="iso-8859-1"?>
<Configuration>
  <!-- These are the values stored by jaxStore -->
  <pgEdit>
    <FormVersion>0</FormVersion>
    <ShowCmd>1</ShowCmd>
    <Flags>0</Flags>
    <PixelsPerInch>96</PixelsPerInch>
    <MinMaxPos(1024x768)>-1,-1,-1,-1</MinMaxPos(1024x768)>
    <MinMaxPos>-1,-1,-1,-1</MinMaxPos>
    <NormPos(1024x768)>108,84,915,684</NormPos(1024x768)>
    <NormPos>108,84,915,684</NormPos>
    <pnlList_Width>137</pnlList_Width>
    <jsgDependencies_Height>165</jsgDependencies_Height>
    <pnlEdit_Width>660</pnlEdit_Width>
    <jsgFiles_Height>196</jsgFiles_Height>
    <odlAddFiles_InitialDir>..\..\run</odlAddFiles_InitialDir>
    <cmbModel_ItemIndex>-1</cmbModel_ItemIndex>
  </pgEdit>
  <!--
    The nodes below are read by the generation process.
    Packages are generated according to a model. The models are defined
    below and contain generic informations such as the prefix, the format,
    the location of packages and the location of the include file that
    contains conditional directives (only used for BCB)
    Then each model defines Targets and Aliases as described below:

    First, the targets:

       The format of each target node is:
          name dir pname pdir env ver defines

       name The name of the target, compulsory
       dir The directory where to generate the packages. Defaults to name
       pname The name of the associated Perso target. A perso target
                is the target that will be considered to allow the generation
                of a different package for a version of the target that do not
                support some features (Database generally). Leave empty if there
                are no reason to use this feature.
       pdir The directory for the associated perso target. Defaults to pname
       env A character to identify the development environment. Defaults to
                the first character of name
       ver A character to identify the version of the environment. Defaults
                to the second character of name
       defines A comma separated string to indicate which Conditional
                Compilation symbols are defined as the result of using this
                target so that your include file can enclose some $DEFINE in
                $IFDEF that relate to the compiler being used
       PathSep Indicates which character is to be used as a path separator for
                the target. If not specified, this value defaults to "\"
       IsClx If set to 1 (True), then the target is a CLX target

    Then aliases:

       The format for each alias node is:
          name value

       name the name of the alias
       value the comma separated list of targets this alias will expand to.
              No recursion is done. You don't have to specify the 'all' alias,
              it will be derived from the target list. If you defined some Perso
              target, do not forget to include them in the value for your alias
              
    Finally, CLX filename replacements (see accompanying doc for more details)
       
       The format for each filename node is:
          original replacement
          
       original the prefix to be replaced in file names
       replacement the value to use as a replacement

    Be careful, all properties of the model node must exist and the targets and
    aliases children must exist too. If there is no target specified, none will
    be available.
  -->
  <models>
    <model name="JVCL" prefix="Jv" format="%p%n%e%v%t" clxPrefix="JvQ" packages="..\..\packages" incfile="..\..\common\jvcl%t.inc" incdeffile="..\..\common\jvclbase.inc">
      <targets>
        <target name="c5" pname="c5s" pdir="c5std"/>
        <target name="c6" pname="c6p" pdir="c6per"/>
        <target name="d5" pname="d5s" pdir="d5std"/>
        <target name="d6" pname="d6p" pdir="d6per"/>
        <target name="d7" pname="d7p" pdir="d7per"/>
        <target name="d7clx" IsClx="1"/>
        <target name="k3" pname="k3p" pdir="k3per" pathsep="/" IsClx="1"/>
        <target name="d9" pname="d9p" pdir="d9per"/>
      </targets>
      <aliases>
        <alias name="Delphi" value="d5,d5s,d6,d6p,d7,d7p,d7clx,d9,d9p"/>
        <alias name="DelphiNoClx" value="d5,d5s,d6,d6p,d7,d7p,d9,d9p"/>
        <alias name="Bcb" value="c5,c5s,c6,c6p"/>
        <alias name="Kylix" value="k3,k3p"/>
        <alias name="Windows" value="c5,c5s,c6,c6p,d5,d5s,d6,d6p,d7,d7p,d7clx,d9,d9p"/>
        <alias name="Linux" value="k3,k3p"/>
        <alias name="allclx" value="d7clx,k3,k3p"/>
        <alias name="allbutclx" value="c5,c5s,c6,c6p,d5,d5s,d6,d6p,d7,d7p,d9,d9p"/>
        <alias name="allbutperso" value="c5,c6,d5,d6,d7,d7clx,k3,d9"/>
      </aliases>
      <ClxReplacements>
        <replacement original="\run\Jv" replacement="\qrun\JvQ"/>
        <replacement original="\design\Jv" replacement="\qdesign\JvQ"/>
        <replacement original="\common\Jv" replacement="\qcommon\JvQ"/>
      </ClxReplacements>
    </model>
    <Model Name="JCL" format="%e%p%n" NoLibSuffixFormat="%e%p%n%v0" prefix="Jcl" packages="" incfile="">
      <targets>
        <target name="c5"/>
        <target name="c6"/>
        <target name="d5"/>
        <target name="d5.dev"/>
        <target name="d6"/>
        <target name="d6.dev"/>
        <target name="d7"/>
        <target name="d7.dev"/>
        <target name="d9"/>
        <target name="k3" PathSep="/"/>
        <target name="k3.dev" PathSep="/"/>
      </targets>
      <aliases>
        <alias name="Delphi" value="d5,d6,d7,d9"/>
        <alias name="Bcb" value="c5,c6"/>
        <alias name="Kylix" value="k2,k3,k3p"/>
        <alias name="Windows" value="c5,c6,d5,d6,d7,d9"/>
        <alias name="Linux" value="k2,k3,k3p"/>
      </aliases>
    </Model>
  </models>
</Configuration>
(0007634)
obones (administrator)
2005-07-27 06:54

Well, that seems just fine to me.
The next step is to debug pg.exe. To do this, open devtools\PackagesGenerator\pg.bpg activate the pg.exe project compile it.
Place a breakpoint in CmdLineUtils.pas around line 147 on the call to EnumeratePackages. When it gets triggered inspect the value of packagesPath. It should point to the directory where the xml files are.
Following the logic of it, the packages variable should get filled by this call.
(0007687)
Uwe (reporter)
2005-08-07 23:55

I've found the problem in GenerateUtils.pas

procedure EnumeratePackages(const Path : string; packages : TStrings);
var
  rec : TSearchRec;
begin
  packages.Clear;
  if FindFirst(StrEnsureSuffix(PathSeparator, path) +'xml'+PathSeparator+'*.xml', faAnyFile, rec) = 0 then
  begin
    repeat
      packages.Add(PathExtractFileNameNoExt(rec.Name));
    until FindNext(rec) <> 0;
  end;
  FindClose(rec);
end;

... set the SearchAttr to faAnyFile and all generate ok.
The Attr of my xml files is 128 and not 0.
Please correct this in future.

Thanks for your help.
Uwe
(0007688)
obones (administrator)
2005-08-08 01:38

This is now fixed in CVS, both calls to FindFirst now use faAnyFile instead of 0.

- Issue History
Date Modified Username Field Change
2005-06-13 06:12 anonymous New Issue
2005-06-13 07:22 obones Note Added: 0007444
2005-06-13 07:22 obones Status new => feedback
2005-06-13 09:43 anonymous Note Added: 0007445
2005-06-13 14:31 obones Status feedback => resolved
2005-06-13 14:31 obones Resolution open => no change required
2005-06-13 14:31 obones Assigned To => obones
2005-06-13 14:31 obones Note Added: 0007449
2005-06-13 22:10 anonymous Status resolved => feedback
2005-06-13 22:10 anonymous Resolution no change required => reopened
2005-06-13 22:10 anonymous Note Added: 0007451
2005-06-14 05:13 obones Note Added: 0007454
2005-06-14 06:15 Uwe Note Added: 0007459
2005-06-14 06:15 Uwe Note Added: 0007460
2005-06-14 06:15 Uwe Note Deleted: 0007460
2005-06-14 22:15 Uwe Note Edited: 0007459
2005-07-25 07:34 obones Note Added: 0007611
2005-07-25 07:43 Uwe Note Added: 0007612
2005-07-27 01:42 obones Note Added: 0007631
2005-07-27 03:06 Uwe Note Added: 0007632
2005-07-27 06:54 obones Note Added: 0007634
2005-08-07 23:55 Uwe Note Added: 0007687
2005-08-08 01:38 obones Status feedback => resolved
2005-08-08 01:38 obones Resolution reopened => fixed
2005-08-08 01:38 obones Note Added: 0007688


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker